Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 System.Enum System.Flags

Controls the transfer behavior when sending and receiving data on a instance.

The following methods use this enumeration:

- Field
  2.0.0.0
  System.Net.Sockets.SocketFlags To be added.
- Field
  2.0.0.0
  System.Net.Sockets.SocketFlags To be added.
- Field
  System.Net.Sockets.SocketFlags DontRoute

  Specifies not to use routing tables to transmit the data. If there is a router between the local and destination addresses, the data will be lost.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketFlags MaxIOVectorLength To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  2.0.0.0
  System.Net.Sockets.SocketFlags To be added.
- Field
  System.Net.Sockets.SocketFlags None

  No flags are specified.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketFlags OutOfBand

  Specifies to send or receive out-of-band (OOB) data. OOB data is specially marked data that can be received independently of unmarked data.

  Used only with a connection-oriented protocol.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketFlags Partial

  Specifies that a partial message has been received.

  Used only with a message-oriented protocol.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketFlags Peek

  Specifies to peek at the incoming data. This copies data to the input buffer but does not remove it from the input queue.

  0
  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Net.Sockets.SocketFlags To be added.
0